<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy VelocityGraph</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_velocity_graph.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-methods">Metody prywatne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_velocity_graph-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy VelocityGraph</div></div>
</div><!--header-->
<div class="contents">

<p>Wykres prędkości koła w czasie.  
 <a href="class_velocity_graph.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_velocity_graph_8hpp_source.html">VelocityGraph.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla VelocityGraph</div>
<div class="dyncontent">
<div class="center"><img src="class_velocity_graph__inherit__graph.png" border="0" usemap="#a_velocity_graph_inherit__map" alt="Inheritance graph"/></div>
<map name="a_velocity_graph_inherit__map" id="a_velocity_graph_inherit__map">
<area shape="rect" title="Wykres prędkości koła w czasie." alt="" coords="7,152,110,177"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="61,118,61,152,56,152,56,118"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla VelocityGraph:</div>
<div class="dyncontent">
<div class="center"><img src="class_velocity_graph__coll__graph.png" border="0" usemap="#a_velocity_graph_coll__map" alt="Collaboration graph"/></div>
<map name="a_velocity_graph_coll__map" id="a_velocity_graph_coll__map">
<area shape="rect" title="Wykres prędkości koła w czasie." alt="" coords="7,152,110,177"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="61,118,61,152,56,152,56,118"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:abbf1a1c5050244e226995ee047dfbcff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_velocity_graph.html#abbf1a1c5050244e226995ee047dfbcff">VelocityGraph</a> (const char *graph_title, QWidget *parent=nullptr)</td></tr>
<tr class="memdesc:abbf1a1c5050244e226995ee047dfbcff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_velocity_graph.html" title="Wykres prędkości koła w czasie.">VelocityGraph</a>.  <br /></td></tr>
<tr class="separator:abbf1a1c5050244e226995ee047dfbcff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f38fb49ed1209990c97f6753c35ed52"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">updateWheelVelocity</a> (int velocity, int time_interval_ms)</td></tr>
<tr class="memdesc:a6f38fb49ed1209990c97f6753c35ed52"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje dane na wykresie i przesuwa osie zgodnie z czasem.  <br /></td></tr>
<tr class="separator:a6f38fb49ed1209990c97f6753c35ed52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a> ()</td></tr>
<tr class="memdesc:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor domyślny.  <br /></td></tr>
<tr class="separator:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a257d943892d078be53e1ca628405c98b">FramedWidget</a> (const char *widget_title, QWidget *parent)</td></tr>
<tr class="memdesc:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.  <br /></td></tr>
<tr class="separator:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a> (QString new_title)</td></tr>
<tr class="memdesc:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienia nazwę widgetu / tłumaczy nazwę  <br /></td></tr>
<tr class="separator:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">~FramedWidget</a> ()</td></tr>
<tr class="memdesc:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wirtualny destruktor.  <br /></td></tr>
<tr class="separator:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Metody prywatne</h2></td></tr>
<tr class="memitem:a72f9c018ae8ceafa47a32b6b9a3238b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">setVLayout</a> () override</td></tr>
<tr class="memdesc:a72f9c018ae8ceafa47a32b6b9a3238b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia widgety pochodne w pionie.  <br /></td></tr>
<tr class="separator:a72f9c018ae8ceafa47a32b6b9a3238b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76c16fc021348ae060a8f29ffce2ebbf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">setStoredWidget</a> () override</td></tr>
<tr class="memdesc:a76c16fc021348ae060a8f29ffce2ebbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje widgety pochodne.  <br /></td></tr>
<tr class="separator:a76c16fc021348ae060a8f29ffce2ebbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b4031c030e02241414de91769278bc7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7">setPlotGradient</a> ()</td></tr>
<tr class="memdesc:a4b4031c030e02241414de91769278bc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia gradient tła wykresu.  <br /></td></tr>
<tr class="separator:a4b4031c030e02241414de91769278bc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a8668d46b4caf67ae43eb3b8e12ca8a31"><td class="memItemLeft" align="right" valign="top">QCustomPlot *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a></td></tr>
<tr class="memdesc:a8668d46b4caf67ae43eb3b8e12ca8a31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wykres 2D.  <br /></td></tr>
<tr class="separator:a8668d46b4caf67ae43eb3b8e12ca8a31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e8f2ea12d76ea86f3d9fbbe164a49a3"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_velocity_graph.html#a4e8f2ea12d76ea86f3d9fbbe164a49a3">time_elapsed</a> = 0</td></tr>
<tr class="memdesc:a4e8f2ea12d76ea86f3d9fbbe164a49a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualny odcinek czasu między pomiarami.  <br /></td></tr>
<tr class="separator:a4e8f2ea12d76ea86f3d9fbbe164a49a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_attribs_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Atrybuty publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QLabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a></td></tr>
<tr class="memdesc:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tytuł widgetu.  <br /></td></tr>
<tr class="separator:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QVBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a></td></tr>
<tr class="memdesc:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca geometrii wertykalnej.  <br /></td></tr>
<tr class="separator:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2985a3761269e6e076651131bc1fb6"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">setVLayout</a> ()=0</td></tr>
<tr class="memdesc:aef2985a3761269e6e076651131bc1fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia przechowywane widgety w pionie.  <br /></td></tr>
<tr class="separator:aef2985a3761269e6e076651131bc1fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">setStoredWidget</a> ()=0</td></tr>
<tr class="memdesc:abcbce7540975ea1dee22fb0b8bb8109e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nadaje odpowiednie parametry widgetowi.  <br /></td></tr>
<tr class="separator:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Klasa <a class="el" href="class_velocity_graph.html" title="Wykres prędkości koła w czasie.">VelocityGraph</a> bazuje na działaniu klasy QCustomPlot, która odpowiada za rysowanie wykresu. W rzeczywistości rysowane jest wypełnienie sygnału PWM każdego z silników. Wartość jest ujemna, jeżeli robot jedzie do tyłu i dodatnia gdy jedzie do przodu. Zakres wartości wykresu to &lt;-1, 1&gt;. </p>

<p class="definition">Definicja w linii <a class="el" href="_velocity_graph_8hpp_source.html#l00031">31</a> pliku <a class="el" href="_velocity_graph_8hpp_source.html">VelocityGraph.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="abbf1a1c5050244e226995ee047dfbcff" name="abbf1a1c5050244e226995ee047dfbcff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbf1a1c5050244e226995ee047dfbcff">&#9670;&#160;</a></span>VelocityGraph()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VelocityGraph::VelocityGraph </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>graph_title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wymusza wywołanie konstruktora klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>, przekazując mu tytuł widgetu oraz wskaźnik na widget będący rodzicem. Tworzy dynamicznie przechowywane atrybuty i wywołuje metody, które przygotowywują widgety do wyświetlenia w oknie głównym.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">graph_title</td><td>- tytuł widgetu </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na rodzica </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_velocity_graph_8cpp_source.html#l00019">19</a> pliku <a class="el" href="_velocity_graph_8cpp_source.html">VelocityGraph.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_velocity_graph_abbf1a1c5050244e226995ee047dfbcff_cgraph.png" border="0" usemap="#aclass_velocity_graph_abbf1a1c5050244e226995ee047dfbcff_cgraph" alt=""/></div>
<map name="aclass_velocity_graph_abbf1a1c5050244e226995ee047dfbcff_cgraph" id="aclass_velocity_graph_abbf1a1c5050244e226995ee047dfbcff_cgraph">
<area shape="rect" title="Inicjalizuje obiekt klasy VelocityGraph." alt="" coords="5,42,196,67"/>
<area shape="rect" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf" title="Inicjalizuje widgety pochodne." alt="" coords="249,5,414,45"/>
<area shape="poly" title=" " alt="" coords="196,40,235,35,236,40,196,45"/>
<area shape="rect" href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0" title="Ustawia widgety pochodne w pionie." alt="" coords="244,70,419,95"/>
<area shape="poly" title=" " alt="" coords="196,64,231,68,230,73,196,69"/>
<area shape="rect" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7" title="Ustawia gradient tła wykresu." alt="" coords="467,13,665,38"/>
<area shape="poly" title=" " alt="" coords="414,23,453,23,453,28,414,28"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a72f9c018ae8ceafa47a32b6b9a3238b0" name="a72f9c018ae8ceafa47a32b6b9a3238b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72f9c018ae8ceafa47a32b6b9a3238b0">&#9670;&#160;</a></span>setVLayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VelocityGraph::setVLayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.</p>
<p>Idąc od góry, ustawiany jest tytuł a potem wykres. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_velocity_graph_8cpp_source.html#l00084">84</a> pliku <a class="el" href="_velocity_graph_8cpp_source.html">VelocityGraph.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_velocity_graph_a72f9c018ae8ceafa47a32b6b9a3238b0_icgraph.png" border="0" usemap="#aclass_velocity_graph_a72f9c018ae8ceafa47a32b6b9a3238b0_icgraph" alt=""/></div>
<map name="aclass_velocity_graph_a72f9c018ae8ceafa47a32b6b9a3238b0_icgraph" id="aclass_velocity_graph_a72f9c018ae8ceafa47a32b6b9a3238b0_icgraph">
<area shape="rect" title="Ustawia widgety pochodne w pionie." alt="" coords="244,5,419,31"/>
<area shape="rect" href="class_velocity_graph.html#abbf1a1c5050244e226995ee047dfbcff" title="Inicjalizuje obiekt klasy VelocityGraph." alt="" coords="5,5,196,31"/>
<area shape="poly" title=" " alt="" coords="230,21,196,21,196,15,230,15"/>
</map>
</div>

</div>
</div>
<a id="a76c16fc021348ae060a8f29ffce2ebbf" name="a76c16fc021348ae060a8f29ffce2ebbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76c16fc021348ae060a8f29ffce2ebbf">&#9670;&#160;</a></span>setStoredWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VelocityGraph::setStoredWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>. Nadaje przechowywanym widgetom odpowiednie ustawienia, wygląd, zależnie od danego widgetu.</p>
<p>Konfiguruje wykres 2D, głównie pod względem wyglądowym. Tytuły osi nie są wyświetlane, ponieważ zajmują dużo miejsca w oknie wykresu. Na koniec ustawiany jest gradient tła - metoda <a class="el" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7" title="Ustawia gradient tła wykresu.">setPlotGradient()</a>. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_velocity_graph_8cpp_source.html#l00039">39</a> pliku <a class="el" href="_velocity_graph_8cpp_source.html">VelocityGraph.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_velocity_graph_a76c16fc021348ae060a8f29ffce2ebbf_cgraph.png" border="0" usemap="#aclass_velocity_graph_a76c16fc021348ae060a8f29ffce2ebbf_cgraph" alt=""/></div>
<map name="aclass_velocity_graph_a76c16fc021348ae060a8f29ffce2ebbf_cgraph" id="aclass_velocity_graph_a76c16fc021348ae060a8f29ffce2ebbf_cgraph">
<area shape="rect" title="Inicjalizuje widgety pochodne." alt="" coords="5,5,171,45"/>
<area shape="rect" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7" title="Ustawia gradient tła wykresu." alt="" coords="219,13,417,38"/>
<area shape="poly" title=" " alt="" coords="171,23,205,23,205,28,171,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_velocity_graph_a76c16fc021348ae060a8f29ffce2ebbf_icgraph.png" border="0" usemap="#aclass_velocity_graph_a76c16fc021348ae060a8f29ffce2ebbf_icgraph" alt=""/></div>
<map name="aclass_velocity_graph_a76c16fc021348ae060a8f29ffce2ebbf_icgraph" id="aclass_velocity_graph_a76c16fc021348ae060a8f29ffce2ebbf_icgraph">
<area shape="rect" title="Inicjalizuje widgety pochodne." alt="" coords="244,5,409,45"/>
<area shape="rect" href="class_velocity_graph.html#abbf1a1c5050244e226995ee047dfbcff" title="Inicjalizuje obiekt klasy VelocityGraph." alt="" coords="5,13,196,38"/>
<area shape="poly" title=" " alt="" coords="230,28,196,28,196,23,230,23"/>
</map>
</div>

</div>
</div>
<a id="a4b4031c030e02241414de91769278bc7" name="a4b4031c030e02241414de91769278bc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b4031c030e02241414de91769278bc7">&#9670;&#160;</a></span>setPlotGradient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VelocityGraph::setPlotGradient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Tworzy obiekt klasy QGradient przekazując już zdefiniowany gradient SolidStone i ustawia go jako tło wykresu. </p>

<p class="definition">Definicja w linii <a class="el" href="_velocity_graph_8cpp_source.html#l00096">96</a> pliku <a class="el" href="_velocity_graph_8cpp_source.html">VelocityGraph.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_velocity_graph_a4b4031c030e02241414de91769278bc7_icgraph.png" border="0" usemap="#aclass_velocity_graph_a4b4031c030e02241414de91769278bc7_icgraph" alt=""/></div>
<map name="aclass_velocity_graph_a4b4031c030e02241414de91769278bc7_icgraph" id="aclass_velocity_graph_a4b4031c030e02241414de91769278bc7_icgraph">
<area shape="rect" title="Ustawia gradient tła wykresu." alt="" coords="457,13,656,38"/>
<area shape="rect" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf" title="Inicjalizuje widgety pochodne." alt="" coords="244,5,409,45"/>
<area shape="poly" title=" " alt="" coords="444,28,409,28,409,23,444,23"/>
<area shape="rect" href="class_velocity_graph.html#abbf1a1c5050244e226995ee047dfbcff" title="Inicjalizuje obiekt klasy VelocityGraph." alt="" coords="5,13,196,38"/>
<area shape="poly" title=" " alt="" coords="230,28,196,28,196,23,230,23"/>
</map>
</div>

</div>
</div>
<a id="a6f38fb49ed1209990c97f6753c35ed52" name="a6f38fb49ed1209990c97f6753c35ed52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f38fb49ed1209990c97f6753c35ed52">&#9670;&#160;</a></span>updateWheelVelocity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VelocityGraph::updateWheelVelocity </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>velocity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>time_interval_ms</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wywoływane za każdym razem, gdy główny timer skończy odliczanie. Stały interwał w [ms] przekazywany jest jako drugi argument. Prędkość koła jako wypełnienie PWM przerabiana jest na procentową wartość zgodnie z maksymalnym zakresem zdefiniowanym jako MAX_RANGE w pliku nagłówkowym. </p>

<p class="definition">Definicja w linii <a class="el" href="_velocity_graph_8cpp_source.html#l00109">109</a> pliku <a class="el" href="_velocity_graph_8cpp_source.html">VelocityGraph.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_velocity_graph_a6f38fb49ed1209990c97f6753c35ed52_icgraph.png" border="0" usemap="#aclass_velocity_graph_a6f38fb49ed1209990c97f6753c35ed52_icgraph" alt=""/></div>
<map name="aclass_velocity_graph_a6f38fb49ed1209990c97f6753c35ed52_icgraph" id="aclass_velocity_graph_a6f38fb49ed1209990c97f6753c35ed52_icgraph">
<area shape="rect" title="Aktualizuje dane na wykresie i przesuwa osie zgodnie z czasem." alt="" coords="464,5,648,45"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,13,416,38"/>
<area shape="poly" title=" " alt="" coords="450,28,416,28,416,23,450,23"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,13,181,38"/>
<area shape="poly" title=" " alt="" coords="216,28,182,28,182,23,216,23"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a8668d46b4caf67ae43eb3b8e12ca8a31" name="a8668d46b4caf67ae43eb3b8e12ca8a31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8668d46b4caf67ae43eb3b8e12ca8a31">&#9670;&#160;</a></span>graph</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCustomPlot* VelocityGraph::graph</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_velocity_graph_8hpp_source.html#l00038">38</a> pliku <a class="el" href="_velocity_graph_8hpp_source.html">VelocityGraph.hpp</a>.</p>

</div>
</div>
<a id="a4e8f2ea12d76ea86f3d9fbbe164a49a3" name="a4e8f2ea12d76ea86f3d9fbbe164a49a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e8f2ea12d76ea86f3d9fbbe164a49a3">&#9670;&#160;</a></span>time_elapsed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double VelocityGraph::time_elapsed = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_velocity_graph_8hpp_source.html#l00042">42</a> pliku <a class="el" href="_velocity_graph_8hpp_source.html">VelocityGraph.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_velocity_graph_8hpp_source.html">VelocityGraph.hpp</a></li>
<li><a class="el" href="_velocity_graph_8cpp_source.html">VelocityGraph.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_velocity_graph.html">VelocityGraph</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
